import { jsx } from "react/jsx-runtime";
import { FlashlightIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Flashlight = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Flashlight", ...props, children: /* @__PURE__ */ jsx(FlashlightIcon, { weight: variant }) });
  }
);
Flashlight.displayName = "Flashlight";
Object.assign(Flashlight, { isGdsIcon: true });
export {
  Flashlight
};
